/* -*-Mode:C; tab-width:4; indent-tabs-mode:t; c-file-style:"stroustrup";-*- */
// $Id: doc.h,v 1.5 2000/11/23 09:44:31 seagull_kamome Exp $
//
//

#if !defined(__H_DOC__)
#define __H_DOC__


// DOC header format
//  NOTE: import from zDoc
typedef struct
{
	UInt16 version;  // 1:uncompressed 2:compressed
	UInt16 crap;     // unknown
	UInt32 uncompsizeoftext; // uncompressed total length
	UInt16 count;    // num records
	UInt16 uncomplength; // uncompressed record length
	UInt32 morecrap; // unknown
} DocInfo_t;


enum {
	DOC_UNCOMPRESSED = 1,
	DOC_COMPRESSED = 2,
};
#define DocCreatorID    'REAd'
#define DocTypeID   'TEXt'


enum {
	DOC_EXPORT_RAWTEXT = 0,
	DOC_EXPORT_HTML_UL,
	DOC_EXPORT_HTML_HEADING,
	DOC_EXPORT_HTML_TABLE,
//	DOC_EXPORT_XML,
};


void ExportToDoc(UInt16 cardNo, char const* name, UInt16 first, UInt16 last);

#endif
