/* -*-Mode:C; tab-width:4; indent-tabs-mode:t; c-file-style:"stroustrup";-*- */
/* Main code for Project */
//#define ERROR_CHECK_LEVEL 2
#include <PalmOS.h>
#include <DateGlue.h>
#include <TxtGlue.h>
#include <FntGlue.h>
#include <TsmGlue.h>
#include <WinGlue.h>
#include "handera/Vga.h"
//#include "SonyCLIE.h"

#include "link.h"
#include "task.h"
#include "xb.h"
#include "progectdb.h"
#include "progectRsc.h"
#include "progect.h"
#include "flat.h"
#include "btm.h"
#include "beam.h"

// Palm MODEL support
#include "palmMODEL.h"

// icon support
#include "icon.h"
// ToDo export support
#include "ToDoDB.h"
// Memo linking support
#include "MemoDB.h"
// address linking support
#include "AddressDB.h"
// Doc export support
#include "doc.h"
// Category support
#include "category.h"
// history support
#include "history.h"
// hotsync support
#include "aftersync.h"

// prototypes
void ProjectListDrawRecord (void * table, Int16 row, Int16 column, RectanglePtr bounds);
UInt16 ProjectListNumberOfRowsInTable (TablePtr table);
void ProjectListHandleOpen(void);
void ProjectListHandleNew(void);
void ProjectListUpdateScrollButtons( FormType* frmP );
void *GetObjectFromForm(FormPtr form, UInt16 objectID);
Err SetFieldTextFromStr(FieldPtr field, const Char *s, Boolean redraw);
UInt16 ShowChooseNameDialog(const Char *srcProjectName,Char destProjectName[dmDBNameLength]);

// events
void FrmProjectListInit(FormPtr frm);
Boolean FrmProjectListHandleEvent (EventPtr e) UISECT;
//Boolean HandleChooseNameButtonOK(void) UISECT;
//Boolean FrmChooseNameHandleEvent (EventPtr e) UISECT;
//Boolean FrmMemoExportPropertiesHandleEvent (EventPtr e) UISECT;

#define projectNameColumn 0
#define noteIconColumn 1
#define cardIconColumn 2
